StarObjectSmallGraphicInternal::Graphic Class Reference documentation

StarObjectSmallGraphicInternal::Graphic Class Referenceabstract

Internal: virtual class to store a graphic. More...

Inheritance diagram for StarObjectSmallGraphicInternal::Graphic:

## Public Member Functions
| Graphic (int id)
| constructor
virtual | ~Graphic ()
| destructor
virtual std::string | print () const
| basic print function
virtual std::string | getName () const =0
| return the object name
virtual bool | send (STOFFListenerPtr &, STOFFFrameStyle const &, StarObject &, bool)
| try to send the graphic to the listener

## Public Attributes
int | m_identifier
| the type

## Detailed Description

Internal: virtual class to store a graphic.

## Constructor & Destructor Documentation

## ◆ Graphic()

StarObjectSmallGraphicInternal::Graphic::Graphic | ( | int | id | ) |
| inlineexplicit

constructor

Referenced by StarObjectSmallGraphicInternal::SdrGraphic::SdrGraphic(), and StarObjectSmallGraphicInternal::SDRUserData::SDRUserData().

## ◆ ~Graphic()

StarObjectSmallGraphicInternal::Graphic::~Graphic | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ getName()

virtual std::string StarObjectSmallGraphicInternal::Graphic::getName | ( |  | ) | const
| pure virtual

return the object name

Implemented in StarObjectSmallGraphicInternal::SCHUGraphic, StarObjectSmallGraphicInternal::SdrGraphic, StarObjectSmallGraphicInternal::SDRUserData, and StarObjectSmallGraphicInternal::SDUDGraphic.

Referenced by print().

## ◆ print()

virtual std::string StarObjectSmallGraphicInternal::Graphic::print | ( |  | ) | const
| inlinevirtual

basic print function

Reimplemented in StarObjectSmallGraphicInternal::SCHUGraphic, StarObjectSmallGraphicInternal::SdrGraphic, StarObjectSmallGraphicInternal::SdrGraphicAttribute, StarObjectSmallGraphicInternal::SdrGraphicCaption, StarObjectSmallGraphicInternal::SdrGraphicCircle, StarObjectSmallGraphicInternal::SdrGraphicEdge, StarObjectSmallGraphicInternal::SdrGraphicGraph, StarObjectSmallGraphicInternal::SdrGraphicGroup, StarObjectSmallGraphicInternal::SdrGraphicMeasure, StarObjectSmallGraphicInternal::SdrGraphicOLE, StarObjectSmallGraphicInternal::SdrGraphicPage, StarObjectSmallGraphicInternal::SdrGraphicPath, StarObjectSmallGraphicInternal::SdrGraphicRect, StarObjectSmallGraphicInternal::SdrGraphicText, StarObjectSmallGraphicInternal::SdrGraphicUno, StarObjectSmallGraphicInternal::SDRUserData, StarObjectSmallGraphicInternal::SDUDGraphic, and StarObjectSmallGraphicInternal::SDUDGraphicAnimation.

## ◆ send()

virtual bool StarObjectSmallGraphicInternal::Graphic::send | ( | STOFFListenerPtr & | ,
|  | STOFFFrameStyle const & | ,
|  | StarObject & | ,
|  | bool | )
| inlinevirtual

try to send the graphic to the listener

Reimplemented in StarObjectSmallGraphicInternal::SCHUGraphic, StarObjectSmallGraphicInternal::SdrGraphicCaption, StarObjectSmallGraphicInternal::SdrGraphicCircle, StarObjectSmallGraphicInternal::SdrGraphicEdge, StarObjectSmallGraphicInternal::SdrGraphicGraph, StarObjectSmallGraphicInternal::SdrGraphicGroup, StarObjectSmallGraphicInternal::SdrGraphicMeasure, StarObjectSmallGraphicInternal::SdrGraphicOLE, StarObjectSmallGraphicInternal::SdrGraphicPage, StarObjectSmallGraphicInternal::SdrGraphicPath, and StarObjectSmallGraphicInternal::SdrGraphicRect.

Referenced by StarObjectSmallGraphicInternal::SdrGraphicPath::send().

## Member Data Documentation

## ◆ m_identifier

int StarObjectSmallGraphicInternal::Graphic::m_identifier

the type

Referenced by StarObjectSmallGraphicInternal::SCHUGraphic::getName(), StarObjectSmallGraphicInternal::SdrGraphic::getName(), StarObjectSmallGraphicInternal::SDUDGraphic::getName(), Graphic(), StarObjectSmallGraphicInternal::SCHUGraphic::operator<<, StarObjectSmallGraphic::readSVDRObjectCircle(), StarObjectSmallGraphic::readSVDRObjectPath(), StarObjectSmallGraphic::readSVDRObjectRect(), send(), StarObjectSmallGraphicInternal::SCHUGraphic::send(), StarObjectSmallGraphicInternal::SdrGraphicCircle::send(), StarObjectSmallGraphicInternal::SdrGraphicPath::send(), StarObjectSmallGraphicInternal::SdrGraphicRect::send(), and StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx